%global pypi_name typer

Name:           python-%{pypi_name}
Version:        0.9.0
Release:        %mkrel 3
Summary:        Typer, build great CLIs - Easy to code
Group:          Development/Python
License:        MIT
URL:            https://github.com/tiangolo/typer
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(flit-core)

%description
Typer is a library for building CLI applications that users will love using
and developers will love creating. Based on Python 3.6+ type hints.

The key features are:

- Intuitive to write: Great editor support. Completion everywhere. Less time
  debugging. Designed to be easy to use and learn. Less time reading docs.
- Easy to use: It's easy to use for the final users. Automatic help, and
  automatic completion for all shells.
- Short: Minimize code duplication. Multiple features from each parameter
  declaration. Fewer bugs.
- Start simple: The simplest example adds only 2 lines of code to your app:
  1 import, 1 function call.
- Grow large: Grow in complexity as much as you want, create arbitrarily
  complex trees of commands and groups of subcommands, with options and
  arguments.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Provides:       %{pypi_name} = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Typer is a library for building CLI applications that users will love using
and developers will love creating. Based on Python 3.6+ type hints.

The key features are:

- Intuitive to write: Great editor support. Completion everywhere. Less time
  debugging. Designed to be easy to use and learn. Less time reading docs.
- Easy to use: It's easy to use for the final users. Automatic help, and
  automatic completion for all shells.
- Short: Minimize code duplication. Multiple features from each parameter
  declaration. Fewer bugs.
- Start simple: The simplest example adds only 2 lines of code to your app:
  1 import, 1 function call.
- Grow large: Grow in complexity as much as you want, create arbitrarily
  complex trees of commands and groups of subcommands, with options and
  arguments.

You'll need an OpenAI API key, you can generate one here
(https://beta.openai.com/account/api-keys).

If the $OPENAI_API_KEY environment variable is set it will be used, otherwise,
you will be prompted for your key which will then be stored in
~/.config/shell_gpt/.sgptrc.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files typer

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Fri Jan 05 2024 papoteur <papoteur> 0.9.0-3.mga10
+ Revision: 2027811
- rebuild for python 3.12

* Mon May 15 2023 kekepower <kekepower> 0.9.0-2.mga9
+ Revision: 1956948
- Fix URL

* Mon May 15 2023 kekepower <kekepower> 0.9.0-1.mga9
+ Revision: 1956942
- imported package python-typer

